/*
 * Class READABLE_INDEXABLE [NATURAL_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_682 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_682 [] = {0xFF01,237,681,203,0xFFFF};
static const EIF_TYPE_INDEX egt_2_682 [] = {0xFF01,681,203,0xFFFF};
static const EIF_TYPE_INDEX egt_3_682 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_682 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_682 [] = {0xFF01,681,203,0xFFFF};
static const EIF_TYPE_INDEX egt_6_682 [] = {0xFF01,681,203,0xFFFF};
static const EIF_TYPE_INDEX egt_7_682 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_682 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_682 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_682 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_682 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_682 [] = {681,203,0xFFFF};
static const EIF_TYPE_INDEX egt_13_682 [] = {0xFF01,681,203,0xFFFF};
static const EIF_TYPE_INDEX egt_14_682 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_682 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_16_682 [] = {0xFF01,678,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_682 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_682[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_682), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_682), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_682), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_682), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_682), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_682), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_682), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_682), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_682), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_682), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_682), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_682), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_682), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_682), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_682), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_682), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_682), 3379, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_682), -1, 0xFFFFFFFF},
};
void Init682(void)
{
	IDSC(desc_682, 0, 681);
	IDSC(desc_682 + 1, 1, 681);
	IDSC(desc_682 + 32, 256, 681);
	IDSC(desc_682 + 35, 99, 681);
}


#ifdef __cplusplus
}
#endif
